routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/
Route::prefix('admin')->name('admin.')->group(function () {
    Route::get('/', [\App\Http\Controllers\Admin\AdminArticleController::class, 'index'])->name('home');
    Route::resource('articles', \App\Http\Controllers\Admin\AdminArticleController::class)->except('index', 'create', 'store', 'show');
    Route::resource('comments', \App\Http\Controllers\Admin\AdminCommentController::class)->except('create', 'store', 'show');
});

Route::get('/', [\App\Http\Controllers\ArticleController::class, 'index']);
Route::get('/users/{user}', [\App\Http\Controllers\UserController::class, 'show'])->name('profile');
Route::resource('articles', \App\Http\Controllers\ArticleController::class)->except('index');
Route::post('categoryFilter', [\App\Http\Controllers\ArticleController::class, 'filter'])->name('filter');
Route::patch('articleRate', [\App\Http\Controllers\ArticleController::class, 'rate'])->name('rate');
Route::resource('comments', \App\Http\Controllers\CommentsController::class)->except('index', 'create', 'show');
Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">{{ __('Dashboard') }}</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    {{ __('You are logged in!') }}
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/index.blade.php
@extends('layouts.app')
@section('content')
    <div style="border-left: 1px solid black; border-right: 1px solid black; border-bottom: 1px solid black" class="container">
        <h1 style="text-align: center">Свежие новости!</h1>
        <div>
            <form method="post" action="{{route('filter')}}">
                @csrf
                Фильтры новостей по категориям
                <select name="category_id">
                    @foreach($categories as $category)
                        <option value="{{$category->id}}">{{$category->title}}</option>
                    @endforeach
                </select>
                <button type="submit">фильтрация</button>
            </form>
        </div>
       @foreach($articles as $article)
           <div style="border: 1px solid black; margin-bottom: 20px">
               <a href="{{route('articles.show', compact('article'))}}" style="margin-left: 10px; font-size: 20px; color: black; text-decoration: none">{{$article->title}}</a>
               <p style="margin-left: 20px">{{$article->user->name}}</p>
           </div>
        @endforeach
    </div>
    <div class="justify-content-md-center p-5">
        <div class="col-md-auto">
            {{ $articles->links()}}
        </div>
    </div>
@endsection